/****************************************************************************
 *   Copyright (C) 2010-2011 by Claas Anders "CaScAdE" Rathje               *
 *   ClaasR@thje.net                                                        *
 *   Project-URL: http://www.mylifesucks.de/oss/c-tid/                      *
 *                                                                          *
 *   This program is free software; you can redistribute it and/or modify   *
 *   it under the terms of the GNU General Public License as published by   *
 *   the Free Software Foundation; either version 2 of the License.         *
 *                                                                          *
 *   This program is distributed in the hope that it will be useful,        *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of         *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the          *
 *   GNU General Public License for more details.                           *
 *                                                                          *
 *   You should have received a copy of the GNU General Public License      *
 *   along with this program; if not, write to the                          *
 *   Free Software Foundation, Inc.,                                        *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.              *
 *                                                                          *
 *                                                                          *
 *   Credits to:                                                            *
 *   Christian "quadratqualle" Lutze for code basics                        *
 *   Dario Carluccio for TID-Communication Description                      *
 ****************************************************************************/

#include <avr/io.h>

#ifndef F_CPU
#if defined (__AVR_ATtiny84__)
// Reading fuses address 0 to 2.. 0xE2, 0xDE, 0xFF .. OK! // int 8MHz

#define F_CPU 8000000UL
#else
#define F_CPU 16000000UL
#endif
#warning "F_CPU undefined, will be set..."
#endif

#include <util/delay.h>
#include "opel_tid.h"
#include "timer0.h"
#include "timer1.h"
#include "int0.h"
#include "icp.h"
#include "analog.h"

#ifndef _C_TID_H
#define	_C_TID_H

extern uint32_t ticks;
extern uint8_t timer0_offset;

#define DISPLAY_ON		PORTA |=  (1 << PA2);
#define DISPLAY_OFF             PORTA &= ~(1 << PA2);
#define DISPLAY_PIN_OUTPUT      DDRA |= (1 << PA2);

#endif	

