/****************************************************************************
 *   Copyright (C) 2010-2011 by Claas Anders "CaScAdE" Rathje               *
 *   ClaasR@thje.net                                                        *
 *   Project-URL: http://www.mylifesucks.de/oss/c-tid/                      *
 *                                                                          *
 *   This program is free software; you can redistribute it and/or modify   *
 *   it under the terms of the GNU General Public License as published by   *
 *   the Free Software Foundation; either version 2 of the License.         *
 *                                                                          *
 *   This program is distributed in the hope that it will be useful,        *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of         *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the          *
 *   GNU General Public License for more details.                           *
 *                                                                          *
 *   You should have received a copy of the GNU General Public License      *
 *   along with this program; if not, write to the                          *
 *   Free Software Foundation, Inc.,                                        *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.              *
 *                                                                          *
 ****************************************************************************/

#include "C-TID.h"
#include "icp.h"
#include "timer0.h"

volatile uint16_t speed = 0;

void icp_init() {
#if defined (__AVR_ATtiny84__)
    /*// Enable ExtInt7
    PCMSK0 |= (1 << PCINT7);
    // Enable ExtInt7-0 Interrupt
    GIMSK |= (1 << PCIE0);*/
    TCCR1B |= ((1 << ICES1) | (1 << CS10)); // input capture | no prescaler
#else

#endif
}

void icp_enable() {
#if defined (__AVR_ATtiny84__)
    TIMSK1 |= (1 << ICIE1); // Input Capture Interrupt Enable
#else
    TIMSK1 |= (1 << ICIE1); // Input Capture Interrupt Enable
#endif
    //spd_overflows = 0;
}

void icp_disable() {
#if defined (__AVR_ATtiny84__)
    TIMSK1 &= ~(1 << ICIE1); // Input Capture Interrupt Disable
#else
    TIMSK1 &= ~(1 << ICIE1); // Input Capture Interrupt Disable
#endif
}



#if defined (__AVR_ATtiny84__)	
//ISR (PCINT0_vect) {

ISR(TIM1_CAPT_vect) {
#else

ISR(PCINT0_vect) { // ??
#endif
    //TODO: calculate speed based on interrupts

}

//extern volatile uint16_t speed = 0;


