/****************************************************************************
 *   Copyright (C) 2010-2011 by Claas Anders "CaScAdE" Rathje               *
 *   ClaasR@thje.net                                                        *
 *   Project-URL: http://www.mylifesucks.de/oss/c-tid/                      *
 *                                                                          *
 *   This program is free software; you can redistribute it and/or modify   *
 *   it under the terms of the GNU General Public License as published by   *
 *   the Free Software Foundation; either version 2 of the License.         *
 *                                                                          *
 *   This program is distributed in the hope that it will be useful,        *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of         *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the          *
 *   GNU General Public License for more details.                           *
 *                                                                          *
 *   You should have received a copy of the GNU General Public License      *
 *   along with this program; if not, write to the                          *
 *   Free Software Foundation, Inc.,                                        *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.              *
 *                                                                          *
 ****************************************************************************/

#include "timer0.h"

// 8 bit timer
volatile uint16_t timer0_overflows = 0;


void timer0_init() {
#if defined (__AVR_ATtiny84__)
    TCCR0B |= (1 << CS01); // prescaler 8 => 1tick ^= 1us
    // value TCNT0
    TIMSK0 |= (1 << TOIE0); // overflow enable
#else 
    TCCR2 |= (1 << CS20); // no prescale
    // value TCNT2
    TIMSK |= (1 << TOIE2); // overflow enable
#endif
}


// Timer1 Overflow Interrupt Routine
#if defined (__AVR_ATtiny84__)

ISR(TIM0_OVF_vect) {
#else

ISR(TIMER2_OVF_vect) {
#endif
    timer0_overflows++;
    //PORTD ^= ( 1 << PD5 );
}
