/****************************************************************************
 *   Copyright (C) 2010-2011 by Claas Anders "CaScAdE" Rathje               *
 *   ClaasR@thje.net                                                        *
 *   Project-URL: http://www.mylifesucks.de/oss/c-tid/                      *
 *                                                                          *
 *   This program is free software; you can redistribute it and/or modify   *
 *   it under the terms of the GNU General Public License as published by   *
 *   the Free Software Foundation; either version 2 of the License.         *
 *                                                                          *
 *   This program is distributed in the hope that it will be useful,        *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of         *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the          *
 *   GNU General Public License for more details.                           *
 *                                                                          *
 *   You should have received a copy of the GNU General Public License      *
 *   along with this program; if not, write to the                          *
 *   Free Software Foundation, Inc.,                                        *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.              *
 *                                                                          *
 ****************************************************************************/

#include <inttypes.h>
#include <avr/io.h>
#include <avr/interrupt.h>

#ifndef _TIMER0_H
#define _TIMER0_H

void timer0_init();
// 8 bit timer
extern volatile uint16_t timer0_overflows;

// Timer0 overflow Interrupt Routine
#if defined (__AVR_ATtiny84__)
#define TIMER0_VALUE	TCNT0
#define TIMER0_PRESCALE	8
ISR(TIM0_OVF_vect);
#else
#define TIMER0_VALUE	TCNT2
#define TIMER0_PRESCALE	0
ISR(TIMER2_OVF_vect);
#endif



#endif
